shishi_as_derive_salt(3)

NAME
shishi_as_derive_salt - API function

SYNOPSIS
#include <shishi.h>

int shishi_as_derive_salt(Shishi * handle, Shishi_asn1 asreq, Shishi_asn1 asrep, char ** salt, size_t * saltlen);

ARGUMENTS

Shishi * handle
    Shishi handle as allocated by shishi_init().

Shishi_asn1 asreq
    Input AS-REQ variable.

Shishi_asn1 asrep
    Input AS-REP variable.

char ** salt
    Returned pointer to newly allocated output array.

size_t * saltlen
    Pointer to integer, returning size of output array.

DESCRIPTION
Computes the salt that should be used when deriving a key via shishi_string_to_key() for an AS exchange. Currently this searches for PA-DATA of type SHISHI_PA_PW_SALT in the AS-REP provided by asrep, and if present returns it. Otherwise the salt is composed from the client name and the realm, both are extracted from the request asreq.

RETURN VALUE
Returns SHISHI_OK if successful. Failure conditions include various ASN.1 issues.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.